@echo off
REM    This batch file is called by GWIBBS. Its job is to MOVE a file
REM    from your BBS to another BBS.  When GWIBBS executes this batch
REM    file, it will pass two parameters to it as %1 and %2.

REM    %1  The name of the file that needs to be sent will be passed to
REM        this batch file as %1.  The name includes the full path and
REM        file name. It will look something like this:
REM        C:\DOORS\GWAR\OUTZIP\TOHUB.ZIP

REM    %2  The destination that the file needs to be moved to will be
REM        passed to this batch file as %2. The destination comes from
REM        ROUTE.CFG and IBBS.CFG. Note that the destination could
REM        conceivably be anything, a FidoNet address, an Internet
REM        address, a subdirectory on a hard disk on a LAN, etc.
REM        The destination that you specified in your ROUTE.CFG or
REM        IBBS.CFG file will be passed to this batch file as %2.

REM    This batch file's job is to MOVE %1 TO %2. Very Important:  THE
REM    FILE MUST BE DELETED AFTER IT IS SENT.  In other words, the file
REM    is to be MOVED from your BBS to the destination BBS.  Also, it's
REM    best if the file can be sent immediately if possible.

REM    If you are in FidoNet, there are several programs you can use to
REM    tell your Fidonet front-end mailer to send a file.  I have included
REM    examples for several programs below. If none of these work with
REM    your front-end mailer, it will be up to you to find a program
REM    that does work. In addition, most of these programs simply create
REM    a *.msg file in your Netmail directory. It may be necessary to do
REM    a "rescan" of your netmail directory (probably using your mail
REM    tosser) to make your front-end mailer notice the new *.msg file.
REM    I won't be able to help you here. There are far too many fidonet
REM    configurations out there for me to be familiar with.  It's up to
REM    you to figure out how to move a file from your BBS. You may even
REM    have to resort to reading the manuals.
REM -----------------------------------------------------------------------

REM    Sample "Fmove" command. Fmove is a generic Fidonet file mover
REM    that I wrote that should work with any Fidonet front-end mailer
REM    that uses *.msg files with file attachments and understands the KFS
REM    flag. The KFS (Kill File Sent) flag is an OPTIONAL extension
REM    to the Fidonet standard that is supported by MOST mailers.
REM    If the file is still sitting on your hard disk after your mailer sends
REM    it, delete Fmove look for a file mover program made for your mailer.
REM    Change the 1:343/65 below to your fidonet address and change
REM    C:\NETMAIL to the subdirectory where you want the *.msg file written.
REM    The C means Crashmail. Change it to H if you want Hold. K means Kill
REM    the *.msg file after sending the file.
REM FMOVE %1 1:343/65 %2 CK C:\NETMAIL

REM    Sample "Xrobot" command.  Xrobot was written by the author of Front
REM    Door for use with his Front Door Fidonet front-end mailer.
REM    E+ means delete after sending.  C+ means send crash mail.
REM XRDOS SEND /F%1 /R%2 /ME+C+

REM    Sample "Squish" command.  Use this if you run BinkleyTerm and Squish.
REM    This is the one I use on ProVision BBS, which runs Binkleyterm,
REM    Maximus BBS and the Squish mail tosser.
REM    The ^ tells BinkleyTerm to delete the file after sending it, but the
REM    ^ character can cause problems if you run 4dos. If so, try putting
REM    parenthesis around it, like this:  "^%1".
REM    The BTRESCAN.01 file makes BinkleyTerm rescan my outbound area
REM    immediately.

cd \binkley
squish send ^%1 to %2 crash
rem > e:\outbound\btrescan.01

REM    Sample "Please" command.  Use this if you run BinkleyTerm but not
REM    Squish. See "Squish" above for notes on the ^ character.
REM PLEASE SEND ^%1 TO %2 NOW

REM    Sample "Imsend" command. Use this if you run InterMail.
REM    The /S=CKE means Crash, Kill message when sent and Erase file.
REM IMSEND F %1 %2 /S=CKE /IM=(insert path to your intermail config file here)

REM    Sample "Pxsend" command. Use this if you run Platinum Xpress for WC5.
REM    Pxsend.exe is supplied with Platinum Xpress. The /F switch
REM    describes the netmail flags. PIDAF means Private, Immediate,
REM    Direct, Attached File, and Kill file when sent.
REM PXSEND %2 /F PIDAF /S %1

REM    Sample "SomethingBesidesFidonet" command, like if %2 was a
REM    subdirectory on a LAN server.
REM COPY %1 %2
REM DEL %1
